import request from '@/utils/request'

// 查询活动记录列表
export function listActivity(query) {
  return request({
    url: '/health/activity/list',
    method: 'get',
    params: query
  })
}

// 查询活动记录详细
export function getActivity(id) {
  return request({
    url: '/health/activity/' + id,
    method: 'get'
  })
}

// 新增活动记录
export function addActivity(data) {
  return request({
    url: '/health/activity',
    method: 'post',
    data
  })
}

// 修改活动记录
export function updateActivity(data) {
  return request({
    url: '/health/activity',
    method: 'put',
    data
  })
}

// 删除活动记录
export function delActivity(id) {
  return request({
    url: '/health/activity/' + id,
    method: 'delete'
  })
}
